M_CLEAR(3)

FUNCTION
m_clear - Clear a block of memory

SYNOPSIS
#include <karma_m.h>

void m_clear

(void *ptr, uaddr length)

DESCRIPTION
Clear a block of memory

ptr The memory block to clear.

length
    The length of the block (in bytes) to clear. If this is less than 1 the routine does nothing. This is effective as a no-op.

RETURN VALUE
Nothing.

Multi-threading Level
Unsafe.

NOTE
The memory is cleared in long integers and chars.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/